
/*  -*- MaTX -*-
 *
 *  yOz
 *      fix() - [ւ̊ۂ
 *
 *  y`z
 *      y = fix(x)
 *         (Real|Complex|Polynomial|Rational) y;
 *         (Real|Complex|Polynomial|Rational) x;
 *
 *      Y = fix(X)
 *         (Matrix|Array|Index) Y;
 *         (Matrix|Array|index) X;
 *
 *  y@\z
 *       x ɂāCfix(x)́Cx [ɍł߂Ɋۂ߂B
 *      f x ɂāCfix(x) ́Cx ̎Ƌꂼ[
 *      ł߂Ɋۂ߂B(|L) x ɂɂāCfix(x) ́C
 *      x ̊eW[ɍł߂Ɋۂ߂B
 *
 *	    fix(X)́C(s|z|w) X ̊e fix(X(i,j)) p
 *      ʂȂ(s|z|w) ߂BY ̑傫 X ̑傫
 *      ɂȂB
 *
 *  yz
 *      >> y = fix(3.14)
 *      y = 3
 *      >> y = fix((3.14, -2.6))
 *      y = (3,-2)
 *      >> s = Polynomial("s");
 *      >> y = fix(2.1*s - 3.6)
 *      y = 2 s - 3
 *      >> Y = fix([1.2, -3.4, 5.6])
 *      === [Y] : (  1,  3) ===
 *                 (  1)           (  2)           (  3)     
 *      (  1)  1.00000000E+00 -3.00000000E+00  5.00000000E+00
 *
 *  y֘Aځz
 *      fix(), floor(), ceil(), round(),
 */
