
/*  -*- MaTX -*-
 *
 *  yOz
 *      qr() - QR
 *
 *  y`z
 *      {Q,R} = qr(A)
 *         Matrix Q,R;
 *         Matrix A;
 *
 *  y@\z
 *      qr()́Cs A QR߂B́̕Csɂ񐳕
 *      sɂsBs̏ꍇCs Q ƏOps R ̐ςɁC
 *      fs̏ꍇCj^s Q ƏOps R ̐ςɕB
 *
 *      {Q,R} = qr(A)́CA Ɠ傫̏Ops R ƒs
 *      (j^s) Q ߂B̍s̊Ԃɂ́CA = Q * RC
 *      Q# * Q = I ̊֌WB
 *
 *  yASYz
 *       1 ̃ASYgB
 *
 *  yz
 *      4 * 3 ̍s A  QR ߂BR(3,3) ̓[ɋ߂̂ R  
 *      A ̓tNłȂB̂Ƃ́Cs A ̑ 2 񂪑 1 
 *       3 ̕ςƂȂĂ邱ƂB
 *
 *      >> A = [[1 2 3][4 5 6][7 8 9][10 11 12]];
 *      >> {Q,R} = qr(A);
 *      >> print Q,R;
 *      === [Q] : (  4,  4) ===
 *                 (  1)         (  2)         (  3)         (  4)
 *      (  1) -7.761505E-02 -8.330521E-01  5.007372E-01  2.219508E-01
 *      (  2) -3.104602E-01 -4.512365E-01 -8.330820E-01  7.729306E-02
 *      (  3) -5.433053E-01 -6.942101E-02  1.639523E-01 -8.204386E-01
 *      (  4) -7.761505E-01  3.123945E-01  1.683924E-01  5.211947E-01
 *      === [R] : (  4,  3) ===
 *                 (  1)          (  2)          (  3)     
 *      (  1) -1.288409E+01 -1.459162E+01 -1.629916E+01
 *      (  2)  0.000000E+00 -1.041315E+00 -2.082630E+00
 *      (  3)  0.000000E+00  0.000000E+00  1.195746E-15
 *      (  4)  0.000000E+00  0.000000E+00  0.000000E+00
 *
 *  y֘Aځz
 *      hess(), qr_p(), qz()
 *
 *  yQlz
 *      [1] Gene H. Golub and Charles F. Van Loan.  Matrix Computations.
 *          The Johns Hopkins University Press, 1989
 */
