
/*  -*- MaTX -*-
 *
 *  yOz
 *      randn() - K
 *
 *  y`z
 *      y = randn()
 *         Real y;
 *
 *      Y = randn(n)
 *         Array Y;
 *         Integer n;
 *
 *      Y = randn(m,n)
 *         Array Y;
 *         Integer m,n;
 *
 *      Y = randn(X)
 *         Array Y;
 *         (Matrix|Array) X;
 *
 *      s = randn("seed");
 *         Integer s;
 * 
 *      p = randn("seed", s);
 *         Integer p;
 *         Integer s;
 *
 *  y@\z
 *      randn()́C 0CU 1 ̐Kz闐𐶐B n 
 *      āCrandn(n) n x n ̐KzԂBrandn(m,n) ́C
 *      m x n ̐KzԂBX ŝƂCrandn(X) ́CX Ɠ
 *      傫̐KzԂB
 *
 *      ͗̏ԂɈˑČ肳C̏Ԃ
 *      ɂĕύXłBrandn("seed") ͐K̎(Integer)ԂC
 *      randn("seed", m) ͐K̎𐮐 m ɐݒ肷B
 *
 *  yz
 *      1 x 4 ̐Kz𐶐B
 *
 *      >> Y = randn(1, 4)
 *      === [Y] : (  1,  4) ===
 *                (  1)         (  2)         (  3)         (  4)     
 *      (  1) -9.833774E-01 -8.557007E-01  2.142212E-01 -8.026744E-01
 *
 *  yASYz
 *       1, 2 QƁB
 *
 *  y֘Aځz
 *      rand()
 *
 *  yQlz
 *      [1] William H. Press and Brian P. Flannery and Saul A. Teukolsky 
 *          and William T. Veterling, Numerical Recipes in C (The Art of 
 *          Scientific Computing), Cambridge University Press, 1988
 *
 *      [2] Oc s,  F,  rN,  , 
 *          j[JVsECEV[, Zp]_, 1993
 */
