
/*  -*- MaTX -*-
 *
 *  yOz
 *      singrightvec() - ْl̉Eϊs
 *
 *  y`z
 *      V = singrightvec(A)
 *         Matrix V;
 *         Matrix A;
 *
 *  y@\z
 *      singrightvec(A)́Cs A ْ̓l̉E̕ϊs߂B
 *      ϊs V ́Cs(j^s)łB
 *
 *  yASYz
 *       1 ̃ASYgB
 *
 *  yӁz
 *      JԂvZœْl܂Ȃꍇ́C̃bZ[W\B
 *
 *          Solution will not converge
 *
 *  yz
 *      >> A = [[1 2 3][4 5 6]];
 *      >> V = singrightvec(A);
 *      === [V] : (  3,  3) ===
 *                 (  1)           (  2)           (  3)     
 *      (  1) -4.28667134E-01  8.05963909E-01  4.08248290E-01
 *      (  2) -5.66306919E-01  1.12382414E-01 -8.16496581E-01
 *      (  3) -7.03946704E-01 -5.81199080E-01  4.08248290E-01
 *
 *  y֘Aځz
 *      svd(), singval(), singleftvec(), maxsing(), minsing()
 *
 *  yQlz
 *     [1] Gene H. Golub and Charles F. Van Loan.  Matrix Computations.
 *         The Johns Hopkins University Press, 1989
 */
