
/*  -*- MaTX -*-
 *
 *  yOz
 *      Ode45() - RKF45@ŏ
 *
 *  y`z
 *      {T,X} = Ode45(t0,t1,x0,diff_eqs)
 *         Array T,X,U;
 *         Real t0,t1;
 *         Matrix x0;
 *         Matrix diff_eqs(t,x,u); (Real t; Matrix x,u;)
 *
 *      {T,X,U} = Ode45(t0,t1,x0,diff_eqs,link_eqs)
 *         Array T,X,U;
 *         Real t0,t1;
 *         Matrix x0;
 *         Matrix diff_eqs(t,x,u); (Real t; Matrix x,u;)
 *         Matrix link_eqs(t,x);   (Real t; Matrix x;)
 *
 *      {T,X,U} = Ode45(t0,t1,x0,diff_eqs,link_eqs,h)
 *         Array T,X,U;
 *         Real t0,t1;
 *         Matrix x0;
 *         Matrix diff_eqs(t,x,u); (Real t; Matrix x,u;)
 *         Matrix link_eqs(t,x);   (Real t; Matrix x;)
 *         Real h;
 *
 *      {T,X,U} = Ode45(t0,t1,x0,diff_eqs,link_eqs,h,dtsav)
 *         Array T,X,U;
 *         Real t0,t1;
 *         Matrix x0;
 *         Matrix diff_eqs(t,x,u); (Real t; Matrix x,u;)
 *         Matrix link_eqs(t,x);   (Real t; Matrix x;)
 *         Real h,dtsav;
 *
 *  y@\z
 *      {T,X} = Ode45(t0,t1,x0,diff_eqs)́C֐diff_eqs()Œ`
 *       RKF45 @gCݕ h = 4.0E-2 ŉCԂ
 *      n X ƎԂ̌n T ԂBeɂł؂덷
 *      I[_[ h^6 łB
 *
 *      {T,X,U} = Ode45(t0,t1,x0,diff_eqs,link_eqs)́C֐ link_eqs() 
 *      vZʂOM u ƂāC֐ diff_eqs() ɓnȂC
 *      CԂ̎n XCOM̎n UCԂ̌n T 
 *      ԂB
 *
 *      Ode45(t0,t1,x0,diff_eqs,link_eqs,h)́Cݕ h ŏ
 *      B
 *
 *      Ode45(t0,t1,x0,diff_eqs,link_eqs,h,dtsav)́Cۑf[^̊Ԋu
 *      dtsav ȏɂCf[^ԈB
 *
 *      ̈ӖɎB
 *
 *          t0              : 
 *          t1              : I[
 *          x0              : 
 *          diff_eqs(t,x,u) :  tC xCOM u 
 *                          : Ԃ̔vZ
 *          link_eqs(t,x)   :  tC x OMvZ
 *          h               : ݕ
 *          dtsave          : f[^ۑ̍ŏԊu
 *
 *  yz
 *      [U[Y}jAQƁB
 *
 *  y֘Aځz
 *      rkf45(), Ode45Auto(), Ode45Hybrid(), Ode45HybridAuto()
 */
