
/*  -*- MaTX -*-
 *
 *  yOz
 *      eval() - CLC̕]
 *
 *  y`z
 *      y = eval(p,x)
 *         (Real|Complex|Polynomial|Rational|Matrix|Array) y;
 *         Polynomial p;
 *         (Integer|Real|Complex|Polynomial|Rational|Matrix|Array) x;
 *
 *      y = eval(r,x)
 *         (Real|Complex|Rational|Matrix|Array) y;
 *         Rational r;
 *         (Integer|Real|Complex|Polynomial|Rational|Matrix|Array) x;
 *
 *      Y = eval(R,x)
 *         (Matrix|Array) Y;
 *         (PoMatrix|RaMatrix|PoArray|RaArray) R;
 *         (Integer|Real|Complex|Polynomial|Rational|Matrix) x;
 *
 *      Y = eval(R,x)
 *         (Matrix|Array) Y;
 *         (PoMatrix|RaMatrix|PoArray|RaArray) R;
 *          Array x;
 *
 *      y = eval(s)
 *         (]ʂ̌^) y;
 *         String s;
 *
 *  y@\z
 *      p (|L)Cx (||f||L|
 *      s|z)̂ƂCeval(p,x)́C p ̕ϐ x ʂ
 *      ԂB
 *
 *      R (s|z|Ls|Lz)Cx 
 *      (||f||L|s) ̂ƂCR ̊e R(i,j)
 *      ̕ϐ x ĕ] eval(R(i,j),x) ȂsԂB
 *      Cx ẑƂCeval(R,X(i,j)) 𐬕ƂzɂȂB
 *
 *      s ̂ƂCeval(s)́C s MaTX̎邢͕Ƃ
 *      ](s)CʂԂBʂ́C^ꂽ s ɂĕςB
 *      C̋@\́CC^v^ł̂ݎgpłB
 *
 *  yz
 *      >> s = Polynomial("s");
 *      >> p = s^2 + 2*s + 3;
 *      >> y = eval(p, s+1)
 *      y = s^2 + 4 s + 6
 *      >> R = [[s+1, s+2][s+3, s+4]];
 *      >> A = [[1 2][3 4]];
 *      >> Y = eval(R, A)
 *      === [Y] : (  4,  4) ===
 *                 (  1)         (  2)         (  3)         (  4)     
 *      (  1)  2.000000E+00  2.000000E+00  3.000000E+00  2.000000E+00
 *      (  2)  3.000000E+00  5.000000E+00  3.000000E+00  6.000000E+00
 *      (  3)  4.000000E+00  2.000000E+00  5.000000E+00  2.000000E+00
 *      (  4)  3.000000E+00  7.000000E+00  3.000000E+00  8.000000E+00
 *      >> Y = eval(R, Array(A))
 *      === [Y] : (  4,  4) ===
 *                 (  1)         (  2)         (  3)         (  4)     
 *      (  1)  2.000000E+00  3.000000E+00  3.000000E+00  4.000000E+00
 *      (  2)  4.000000E+00  5.000000E+00  5.000000E+00  6.000000E+00
 *      (  3)  4.000000E+00  5.000000E+00  5.000000E+00  6.000000E+00
 *      (  4)  6.000000E+00  7.000000E+00  7.000000E+00  8.000000E+00
 *
 *  y֘Aځz
 *      system()
 */
