
/*  -*- MaTX -*-
 *
 *  yOz
 *      qr_p() - בւtQR
 *
 *  y`z
 *      {Q,R,P} = qr_p(A)
 *         Matrix Q,R,P;
 *         Matrix A;
 *
 *  y@\z
 *      qr_p()́Cs A ̕בւtQR߂B́̕C
 *      sɂ񐳕sɂsB
 *
 *      {Q,R,P} = qr_p(A)́CA Ɠ傫̏Ops R ƒs
 *      (j^s) QCus P ߂B̍s̊Ԃɂ́C
 *      A * P = Q * RCQ# * Q = I ̊֌WBOps R ̑Ίp
 *      ́C鏇ɕׂB
 *
 *  yASYz
 *       1 ̃ASYgB
 *
 *  yz
 *      4 x 3 ̍s A ̕בւt QR ߂B
 *
 *      >> A = [[1 2 3][4 5 6][7 8 9][10 11 12]];
 *      >> {Q,R,P} = qr_p(A);
 *      >> print Q,R,P;
 *      === [Q] : (  4,  4) ===
 *                 (  1)           (  2)           (  3)           (  4)     
 *      (  1) -1.825741E-01 -8.164965E-01  3.471390E-01 -4.236678E-01
 *      (  2) -3.651483E-01 -4.082482E-01 -1.470686E-01  8.236326E-01
 *      (  3) -5.477225E-01 -4.996003E-16 -7.472798E-01 -3.762617E-01
 *      (  4) -7.302967E-01  4.082482E-01  5.472094E-01 -2.370309E-02
 *      === [R] : (  4,  3) ===
 *                 (  1)           (  2)           (  3)     
 *      (  1) -1.643167E+01 -1.278019E+01 -1.460593E+01
 *      (  2)  0.000000E+00  1.632993E+00  8.164965E-01
 *      (  3)  0.000000E+00  0.000000E+00  8.400361E-16
 *      (  4)  0.000000E+00  0.000000E+00  0.000000E+00
 *      === [P] : (  3,  3) ===
 *                 (  1)           (  2)           (  3)     
 *      (  1)  0.000000E+00  1.000000E+00  0.000000E+00
 *      (  2)  0.000000E+00  0.000000E+00  1.000000E+00
 *      (  3)  1.000000E+00  0.000000E+00  0.000000E+00
 *
 *  y֘Aځz
 *      hess(), qr(), qz()
 *
 *  yQlz
 *     [1] Gene H. Golub and Charles F. Van Loan.  Matrix Computations.
 *         The Johns Hopkins University Press, 1989
 */
