
/*  -*- MaTX -*-
 *
 *  yOz
 *      qz() - QZ
 *
 *  y`z
 *      {AA,BB,Q,Z,X,flag} = qz(A,B)
 *         CoMatrix AA;
 *         Matrix BB,Q,Z,X;
 *         Matrix A,B;
 *         int flag;
 *
 *  y@\z
 *      qz() ́CʉŗLľvZŎgBs A  B ɑ΂āC
 *      {AA,BB,Q,Z,X} = qz(A,B) ́CfOps AA  Ops BBC
 *      ϊ̂߂()j^s QCEϊ̂߂̒(j^)
 *      s ZCʉŗLxNgȂs X ߂B̍s
 *      Ԃɂ́C
 *
 *      A = Q * AA * Z
 *      B = Q * BB * Z
 *      Q# * Q = I
 *      Z# * Z = I
 *
 *      A * X * diag_vec(diag_vec(BB)) = B * X * diag_vec(diag_vec(AA))
 *
 *      ̊֌WB֐eig()ŋ܂ʉŗLxNg͌ŗLl̎
 *      ̍~ɕׂ邪Cqz()ŋ܂ʉŗLxNǵCבւ
 *      ȂB
 *
 *  yASYz
 *      Eispack qzhes, qzit, qzval, qzvec gpB
 *
 *  yӁz
 *      JԂvZŌŗLl܂Ȃꍇ́C̃bZ[W\B
 *
 *          Solution will not converge
 *
 *      ܂Cflag ɔ̒lԂB
 *
 *  yz
 *      >> A = [[1 2][6 5]];  B = [[3 4][2 1]];
 *      >> {AA, BB, Q, zz, X} = qz(A, B);
 *      >> A - Q * AA * zz#
 *      ===  ans  (   2  x   2)  CoMatrix  ===
 *             [ (  1)-Real      (  1)-Imag ]  [ (  2)-Real      (  2)-Imag ]
 *      (  1)  1.55431223E-15  0.00000000E+00  1.33226763E-15  0.00000000E+00
 *      (  2)  8.88178420E-16  0.00000000E+00  0.00000000E+00  0.00000000E+00
 *      >> B - Q * BB * zz#
 *      ===  ans  (   2  x   2)  Matrix  ===
 *                 (  1)           (  2)     
 *      (  1)  1.77635684E-15  1.33226763E-15
 *      (  2) -1.33226763E-15  3.33066907E-16
 *      >> A * X * diag_vec(diag_vec(BB)) - B * X * diag_vec(diag_vec(AA))
 *      ===  ans  (   2  x   2)  CoMatrix  ===
 *             [ (  1)-Real      (  1)-Imag ]  [ (  2)-Real      (  2)-Imag ]
 *      (  1) -2.22044605E-16  0.00000000E+00 -4.44089210E-16  0.00000000E+00
 *      (  2)  1.55431223E-15  0.00000000E+00  5.77315973E-15  0.00000000E+00
 *
 *  y֘Aځz
 *      hess(), schur(), eig()
 *
 */
