
/*  -*- MaTX -*-
 *
 *  yOz
 *      rem() - Z̗]
 *
 *  y`z
 *      k = rem(i,j)      k = rem(i,j)    k = rem(i,j)    k = rem(i,j)
 *         Integer k;        Real k;         Real k;         Real k;
 *         Intger i, j;      Intger i;       Real i;         Real i;
 *                           Real j;         Integer j;      Real j;
 *      P = rem(X,Y)
 *         (Matrix|Array|Index) P;
 *         (Matrix|Array|Index) X,Y;
 *
 *      Y = rem(i,X)                     Y = rem(X,i)
 *         (Matrix|Array|Index) Y;          (Matrix|Array|Index) Y;
 *         Intger i;                        (Matrix|Array|Index) X;
 *         (Matrix|Array|Index) X;          Integer i;
 *
 *      Y = rem(i,X)                     Y = rem(X,i)
 *         (Matrix|Array|Index) Y;          (Matrix|Array|Index) Y;
 *         Real i;                          (Matrix|Array|Index) X;
 *         (Matrix|Array|Index) X;          Real i;
 *
 *  y@\z
 *      i  j ̂ƂCrem(i,j)͏Z̗] i - (i/j)*j ߂B
 *      i ܂ j ̂ƂCrem(i,j)͏Z̗] i - fix(i/j)*j
 *      ߂B
 *
 *	    P = rem(X,Y)́C(s|z|w) X  Y ̊e rem(X(i,j), Y(i,j))
 *      pʂȂ (s|z|w) ߂BP ̑傫 X 
 *      傫ƓɂȂB̈s^(s|z|w)ŁC
 *      ܂͎̂ƂCXJ^̃f[^́C̒lŖꂽs
 *      ɕϊCZsB
 *
 *  yz
 *      >> k = rem(3,2)
 *      k = 1
 *      >> k = rem(3.14, 2)
 *      k = 1.14
 *      >> Y = rem([9 8 7], [2 3 4])
 *      === [Y] : (  1,  3) ===
 *                 (  1)           (  2)           (  3)     
 *      (  1)  1.00000000E+00  2.00000000E+00  3.00000000E+00
 *      >> Y = rem([9 8 7], 3)
 *      === [Y] : (  1,  3) ===
 *                 (  1)           (  2)           (  3)     
 *      (  1)  0.00000000E+00  2.00000000E+00  1.00000000E+00
 *
 *  y֘Aځz
 *      fix()
 */
