
/*  -*- MaTX -*-
 *
 *  yOz
 *      round2z() - [ւ̊ۂ
 *
 *  y`z
 *      y = round2z(x)
 *         (Integer|Real|Complex|Polynomial|Rational) y;
 *         (Integer|Real|Complex|Polynomial|Rational) x;
 *
 *      y = round2z(x,tol)
 *         (Integer|Real|Complex|Polynomial|Rational) y;
 *         (Integer|Real|Complex|Polynomial|Rational) x;
 *         Real tol;
 *
 *      Y = round2z(X)
 *         (Matrix|Array|Index) Y;
 *         (Matrix|Array|index) X;
 *
 *      Y = round2z(X,tol)
 *         (Matrix|Array|Index) Y;
 *         (Matrix|Array|index) X;
 *         Real tol;
 *
 *  y@\z
 *       x ɂāCround2z(x,tol)́Cx ̐Βl tol 菬΁C
 *      [Ɋۂ߂Bf x ɂāCround2z(x,tol) ́Cx ̎Ƌ
 *      ̐Βlꂼ tol 菬΁C[Ɋۂ߂B(|L
 *      ) x ɂɂāCround2z(x,tol) ́Cx ̊eW̐Βl tol 
 *      菬΁C[Ɋۂ߂Btol ȗƁCtol = EPS ƂȂB
 *
 *	    round2z(X,tol)́C(s|z|w) X ̊e round2z(X(i,j),tol)
 *      p ʂȂ(s|z|w) ߂BY ̑傫 X 
 *      傫ƓɂȂBtol ȗƁCtol = EPS ƂȂB
 *
 *  yz
 *      >> y = round2z(1E-5, 1E-4)
 *      y = 0
 *      >> y = round2z(1E-5, 1E-5)
 *      y = 1E-5
 *      >> y = round2z((3.14, 1E-5), 1E-4)
 *      y = (3.14, 0)
 *      >> s = Polynomial("s");
 *      >> y = round2z(2.1*s + 1E-5, 1E-4)
 *      y = 2.1 s
 *      >> Y = round2z([1.2, 1E-5, 5.6], 1E-4)
 *      === [Y] : (  1,  3) ===
 *                 (  1)           (  2)           (  3)     
 *      (  1)  1.20000000E+00  0.00000000E+00  5.60000000E+00
 *
 *  y֘Aځz
 *      fix(), floor(), ceil(), round(),
 */
