
/*  -*- MaTX -*-
 *
 *  yOz
 *      schur() - VA
 *
 *  y`z
 *      {U,T,flag} = schur(A)
 *         Matrix U,T;
 *         Matrix A;
 *         int flag;
 *
 *  y@\z
 *      schur()́Cs A Schur^߂Bs̕fSchur^́CΊp
 *      ɍšŗLlOpsłCSchur^́CΊpɍs
 *      ̎ŗLlƕfŗLl 2 x 2 ̃ubNubNOp
 *      słB
 *
 *      {U,T} = schur(A)́CSchurs T ƒs(j^s) U
 *      ߂B̍s̊Ԃɂ́CA = U * T * U#CU# * U = I(A) 
 *      ֌WBshcur(A)́CA sȂCSchur^CA fs
 *      ȂCfSchur^߂B
 *
 *  yASYz
 *      schur(A) ́Csɑ΂Eispack̃[` ortran, orthes,
 *      hqr2 gBorthes ͒𑊎ϊgĎswbZxO^
 *      ɕϊBhqr2 ́CQR@ŃwbZxOšŗLl߂B
 *      schur(A)́Cfsɑ΂Eispackqzhes, qzit, qzval, qzvec 
 *      gāCQZ@ŌvZB
 *
 *  yӁz
 *      JԂvZŌŗLl܂Ȃꍇ́C̃bZ[W\B
 *
 *          Solution will not converge
 *
 *      ܂Cflag ɔ̒lԂB
 *
 *  yz
 *      >> {U,T} = schur([[1 2 3][4 5 6][7 8 9]]);
 *      >> print U,T;
 *      === [U] : (  3,  3) ===
 *                 (  1)           (  2)           (  3)     
 *      (  1)  2.31970687E-01  8.82905960E-01  4.08248290E-01
 *      (  2)  5.25322093E-01  2.39520420E-01 -8.16496581E-01
 *      (  3)  8.18673499E-01 -4.03865120E-01  4.08248290E-01
 *      === [T] : (  3,  3) ===
 *                 (  1)           (  2)           (  3)     
 *      (  1)  1.61168440E+01  4.89897949E+00  5.68558108E-16
 *      (  2) -4.99901156E-27 -1.11684397E+00  2.27776519E-16
 *      (  3)  0.00000000E+00 -3.06646861E-20 -1.28803904E-16
 *
 *  y֘Aځz
 *      hess(), qr(), qz()
 */
