
/*  -*- MaTX -*-
 *
 *  yOz
 *      sig_demo() - Mc[{bNX̃fXg[V
 *
 *  y`z
 *      sig_demo()
 *
 */

Func void sig_demo()
{
	Integer n;
	List demos;

	void demo_spectral_analysis();
	void demo_fourier_expansion();
	void demo_convolution();


	demos = {"<<<  Mc[{bNX  >>>",
			 "FFT ɂXyNg",
			 "gɂ`g̍",
			 "ݍ݂(p[Vo)藝",
			 "I  "};

	n = 1;
	while (1) {
		n = menu(demos, n);
		switch (n) {
		  case 1:
			demo_spectral_analysis();
			break;
		  case 2:
			demo_fourier_expansion();
			break;
		  case 3:
			demo_convolution();
			break;
		  default:
			return;
		}
		n++;
	}
}

Func void demo_spectral_analysis()
{
	Integer win;
	Array Y, x, y, Pyy, f, t;

	win = mgplot_cur_win();

	clear;
	print "\n";
	print "̗ fft() pXyNg͂̕@ЉB\n";
	print "FFT ̒ʏ̖ړÍCGɖ߂ꂽM̎gt\n";
	print "ƂłB\n\n";
	pause;

	print "܂Cf[^쐬B1000 HzŃTvꂽf[^lB\n";
	print " 0  0.25 b܂ 1 ~b̎Ԏ쐬邱Ƃ";
	print "n߂悤B\n\n";
	print "\tt = [0:0.001:0.25];\n\n";
	pause;
	t = [0:0.001:0.25];

	print "\n";
	print "ɁC40 Hz  130 Hz ̐M̘aB\n\n";
	print "\tx = sin(2*PI*40*t) + sin(2*PI*130*t);\n\n";
	pause;
	x = sin(2*PI*40*t) + sin(2*PI*130*t);

	print "\n";
	print "āCW΍ 2 ̔FGM x ɉCM y ƂB\n\n";
	print "\ty = x + 2*randn(t);\n\n";
	pause;
	y = x + 2*randn(t);

	print "\n";
	print "GŉꂽM y vbg悤B\n\n";
	print "\tmgplot_title(win,\"Noisy time domain signal\");\n";
	print "\tmgplot_xlabel(win, \"time [s]\");\n";
	print "\tmgplot(win, t(1:50), y(1:50), {\"noisy signal\"});\n\n";
	pause;

	mgplot_reset(win);
	mgplot_title(win,"Noisy time domain signal");
	mgplot_xlabel(win, "time [s]");
	mgplot(win,t(1:50),y(1:50),{"noisy signal"});

	clear;
	print "\n";
	print "炩ɁC̐M猳̎g𓯒肷͓̂B\n";
	print "̂߃XyNg͂LłB\n\n";

	print "GŉꂽM y ̗Ut[Gϊ͊ȒPɋ܂B\n";
	print "̂悤ɍt[Gϊ(FFT)ΗǂB\n\n";
	print "\tY = fft(y, 256);\n\n";
	pause;
	Y = fft(y,256);

	print "\n";
	print "ꂼ̎gɂp[XyNgx(GlM[̎ړx)\n";
	print "͎̂悤ɋ܂B\n\n";
	print "\tPyy = Re(Y .* conj(Y));\n\n";
	pause;
	Pyy = Re(Y .* conj(Y));

	print "\n";
	print "p[XyNgxvbg邽ߎgB\n\n";
	print "\tf = 1000*[0:127]/256;\n\n";
	pause;
	f = 1000*[0:127]/256;

	print "\n";
	print "p[XyNgx̂n߂ 127 _pBc\n";
	print "Ώ̓IȌ`ƂȂBāCp[XyNgxvbg悤B\n\n";
	print "\tmgplot_title(win, \"Power spectral density\");\n";
	print "\tmgplot_xlabel(win, \"Frequency (Hz)\");\n";
	print "\tmgplot(win, f, Pyy(1:128), {\"power spectral density\"});\n\n";
	pause;

	mgplot_reset(win);
	mgplot_title(win,"Power spectral density");
	mgplot_xlabel(win,"Frequency (Hz)");
	mgplot(win,f,Pyy(1:128),{"power spectral density"});

	print "\n";
	print "Y[CC200 Hz ܂łvbg悤B\n\n";
	print "\tmgplot_title(win,\"Power spectral density\");\n";
	print "\tmgplot_xlabel(win,\"Frequency (Hz)\");\n";
	print "\tmgplot(f(1:50),Pyy(1:50),{\"power spectral density\"});\n\n";
	pause;

	mgplot_reset(win);
	mgplot_title(win,"Power spectral density");
	mgplot_xlabel(win,"Frequency (Hz)");
	mgplot(win,f(1:50),Pyy(1:50),{"power spectral density"});
}

/*  -*- MaTX -*-
 *
 *  yOz
 *      demo_fourier_expansion() - t[GWJ̃fXg[V
 *
 *  y`z
 *      demo_fourier_expansion()
 *
 */

Func void demo_fourier_expansion()
{
	Integer win,k;
	Array t,y,x,yy;

	win = mgplot_cur_win();

	clear;
	print "\n";
	print "`g̃t[GWJ͊̐g̘aŕ\邱Ƃ\n";
	print "MaTX găOtBJɒׂ܂傤B\n\n";

	print "܂C0  10 ܂ 0.1 ݂ŎԃxNgCSĂ̓_\n";
	print " sin() vZB\n\n";
	print "\tt = [0:0.1:10];\n";
	print "\ty = sin(t);\n";
	print "\tmgplot(win,t,y,{\"sin(t)\"});\n\n";
	print "{g̔g`vbg܂傤B\n\n";
	pause;

	t = [0:0.1:10];
	y = sin(t);
	mgplot(win,t,y,{"sin(t)"});

	print "ɁC 3 g̔g`{g̔g`ɉCvbg܂B";
	print "\n\n";
	print "\ty = sin(t) + sin(3*t)/3;\n";
	print "\tmgplot(win,t,y,{\"sin(t)+sin(3*t)/3\"});\n\n";
	pause;

	y = sin(t) + sin(3*t)/3;
	mgplot(win,t,y,{"sin(t)+sin(3*t)/3"});

	print "ɁC 1C 3C 5C 7C 9 g̔g`C";
	print "vbg܂B\n\n";

	print "\ty = sin(t) + sin(3*t)/3 + sin(5*t)/5 + sin(7*t)/7 + sin(9*t)/9;\n";
	print "\tmgplot(win,t,y,{\"\"});\n\n";
	pause;

	y = sin(t) + sin(3*t)/3 + sin(5*t)/5 + sin(7*t)/7 + sin(9*t)/9;
	mgplot(win,t,y,{""});

	print "{g 19 g܂Ŕg`𐶐C\n";
	print "Xɉg`sɕۑ܂B";
	print "\n\n";

	print "\tt = [0:0.02:3.14];\n";
	print "\ty = Z(10,length(t));\n";
	print "\tx = Z(t);\n\n";

	print "\tfor (k = 1; k <= lenght(t); k = k + (2)) {\n";
	print "\t\tx = x + sin(k*t)/k;\n";
	print "\t\ty((k+1)/2,:) = x;\n";
	print "\t}\n\n";
	pause;

	t = [0:0.02:3.14];
	y = Z(10,length(t));
	x = Z(t);

	for (k = 1; k <= 19; k = k + 2) {
		x = x + sin(k*t)/k; 
		y((k+1)/2,:) = x;
	}

	print "̔g`vbgāC`g`łlq";
	print "傤B\n";
	print "`g̗[^lɎȂƂMvcۂɒӂ܂傤B";
	print "\n\n";

	print "\tmgplot(win,t,y(1:2:9,:),{\"\"});\n";
	print "\tmgplot_title(win,\"The building of a square wave: Gibbs effect\");";
	print "\n\n";
	pause;

	yy = y(1:2:9,:);
	mgplot(win, t, yy, {"1st","5rd","9th","13th","17th"});
	mgplot_title(win, "The building of a square wave: Gibbs effect");
}


/*  -*- MaTX -*-
 *
 *  yOz
 *      demo_convolution() - ݍ݂̃fXg[V
 *
 *  y`z
 *      demo_convolution()
 */

Func void demo_convolution()
{
	Array XY,X,Y,x,y,zfreq,ztime;
	
	clear;
	print "\n";
	print "ԗ̈ɂݍ݂͎g̈ɂZƓ\n";
	print "łƂVXe_ŒmĂBMaTX  fft()\n";
	print "conv() ֐gāĈƂ𐔒lIɒׂ悤B\n\n";

	print "܂CCӂɑI΂ꂽlȂ2̐B\n\n";
	print "\tx = [1 2 3 4];\n";
	print "\ty = [5 4 3 2 1];\n\n";
	pause; 
	x = [1 2 3 4];
	y = [5 4 3 2 1];

	print "ԗ̈ɂ邱̏ݍ݂ conv() ŊȒPɍsB";
	print "\n\n";
	print "\tztime = conv(x,y);\n\n";
	ztime = conv(x,y);
	pause;

	clear;
	print "\n";
	print "g̈ɂZs߁Cg̈ɕϊ\n";
	print "Ȃ΂ȂȂBUt[Gϊ邽 FFT gB\n";
	print "ԗ̈̏ݍ݂ŌvZꂽ z ̒ 8 Ȃ̂ŁCx  y\n";
	print "̒ 8 ƂȂ悤 0 ǉBāCFFT sC\n";
	print "ZʂtFFTB\n\n";
	
	print "\tx = [x, Z(1,4)];\n";
	print "\ty = [y, Z(1,3)];\n";
	print "\tX = fft(x);\n";
	print "\tY = fft(y);\n";
	print "\tXY = X * Y;\n";
	print "\tzfreq = Re(ifft(XY));\n\n";
	pause;
	
	x = [x, Z(1,4)];
	y = [y, Z(1,3)];
	X = fft(x);
	Y = fft(y);
	XY = X * Y;
	zfreq = Re(ifft(XY));

	clear;
	print "\n";
	print "FFT ̌ʂƏݍ݂̌ʂrB\n\n";
	print "\tprint ztime;\n";
	print "\tprint round(zfreq);\n\n";
	pause;
	print ztime, "\n", round(zfreq);

	print "\n";
	print "덷͈̔͂ 2 ̌ʂv鎖B\n";
	print "m߂邽ߎg̈ł̌ʂۂߌ덷ɂ";
	print "덷B\n\n";
	pause;

	clear;
	print "\n";
	print "ݍ݂̌ʂ FFT ̌ʂ̍𒲂ׂ悤B\n\n";
	print "\tprint ztime - zfreq;\n\n";
	print ztime - zfreq;
	
	printf("\n\nőc͖%16.8E łB\n\n", max(abs(ztime - zfreq)));
}
